import java.util.HashMap;
import java.util.Map;

public class Zählen 
{
    public static Map<Character, Integer> countEachLetter(String input)
    {
        // Konvertiere den String in ein char-Array
        char[] characters = input.toCharArray();
 
        // Initialisiere die Map zum Speichern der Buchstabenanzahl
        Map<Character, Integer> letterCountMap = new HashMap<>();

        // Durchlaufe das Array und zählt alle zeichen
        for (char c : characters)
        {
            letterCountMap.put(c, letterCountMap.getOrDefault(c, 0) + 1);
        }

        
        return letterCountMap ;
    }
    
    public static void printZahl (Map<Character, Integer> letterCountMap)
    {
        for (Map.Entry<Character, Integer> entry : letterCountMap.entrySet()) 
        {
            System.out.println("Buchstabe: " + entry.getKey() + ", Anzahl: " + entry.getValue());
        }
    }
}



